vigra - Utilities to manage voxel neighborhoods

[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| Utilities to manage voxel neighborhoods |

## Namespaces
namespace | vigra::Neighborhood3DSix
namespace | vigra::Neighborhood3DTwentySix

## Typedefs
typedef AtImageBorder | AtVolumeBorder
| Encode whether a voxel is near the volume border. More...
typedef vigra::TinyVector< int, 3 > | Diff3D
| 3-dimensional difference vector
typedef Neighborhood3DSix::NeighborCode3D | NeighborCode3DSix
typedef Neighborhood3DTwentySix::NeighborCode3D | NeighborCode3DTwentySix

## Functions
AtVolumeBorder | isAtVolumeBorder (int x, int y, int z, int width, int height, int depth)
| Find out whether a voxel is at the volume border. More...
AtVolumeBorder | isAtVolumeBorderAntiCausal (int x, int y, int z, int width, int height, int depth)
| Find out whether a voxel is at a scan-order relevant volume border. This function checks if x == 0 or y == 0 or z == 0 and returns the appropriate value of vigra::AtVolumeBorder, or zero when the voxel is not at te volume border. The behavior of the function is undefined if (x,y,z) is not inside the volume. More...
AtVolumeBorder | isAtVolumeBorderCausal (int x, int y, int z, int width, int height, int)
| Find out whether a voxel is at a scan-order relevant volume border. This function checks if x == 0 or y == 0 or z == 0 and returns the appropriate value of vigra::AtVolumeBorder, or zero when the voxel is not at te volume border. The behavior of the function is undefined if (x,y,z) is not inside the volume.

## Detailed Description

6- and 26-neighborhood definitions and circulators.

#include <vigra/voxelneighborhood.hxx>

See also: vigra::NeighborhoodCirculator

## Typedef Documentation

typedef AtImageBorder AtVolumeBorder

Encode whether a voxel is near the volume border.

This enum is used with isAtVolumeBorder() and vigra::RestrictedNeighborhoodCirculator.

#include <vigra/voxelneighborhood.hxx>
Namespace: vigra

typedef Neighborhood3DSix::NeighborCode3D NeighborCode3DSix

Export vigra::Neighborhood3DSix::NeighborCode3D into the scope of namespace vigra.

typedef Neighborhood3DTwentySix::NeighborCode3D NeighborCode3DTwentySix

Export vigra::Neighborhood3DTwentySix::NeighborCode3D into the scope of namespace vigra.

## Function Documentation

AtVolumeBorder vigra::isAtVolumeBorder | ( | int | x,
|  | int | y,
|  | int | z,
|  | int | width,
|  | int | height,
|  | int | depth
| ) |  |

Find out whether a voxel is at the volume border.

This function checks if x == 0 or x == width - 1 and y == 0 or y == height - 1 and so on and returns the appropriate value of vigra::AtVolumeBorder, or zero when the voxel is not at te volume border. The behavior of the function is undefined if (x,y,z) is not inside the volume.

AtVolumeBorder vigra::isAtVolumeBorderAntiCausal | ( | int | x,
|  | int | y,
|  | int | z,
|  | int | width,
|  | int | height,
|  | int | depth
| ) |  |

Find out whether a voxel is at a scan-order relevant volume border. This function checks if x == 0 or y == 0 or z == 0 and returns the appropriate value of vigra::AtVolumeBorder, or zero when the voxel is not at te volume border. The behavior of the function is undefined if (x,y,z) is not inside the volume.

TODO: Write new comment

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.10.0 (Mon Nov 18 2013)